Package org.codehaus.classworlds

## Class ClassWorldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.classworlds.ClassWorldException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `DuplicateRealmException`, `NoSuchRealmException`

    @Deprecated
    public class ClassWorldException
    extends java.lang.Exception

Deprecated.
Base exception for `ClassWorld` errors.

Author:
  bob mcwhirter
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ClassWorldException​(ClassWorld world)` Deprecated. Construct.
`ClassWorldException​(ClassWorld world, java.lang.String msg)` Deprecated. Construct.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ClassWorld` `getWorld()` Deprecated. Retrieve the world.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassWorldException

    public ClassWorldException​(ClassWorld world)

Deprecated.
Construct.

Parameters:
  `world` - The world.

#### ClassWorldException

    public ClassWorldException​(ClassWorld world,
                               java.lang.String msg)

Deprecated.
Construct.

Parameters:
  `world` - The world.
  `msg` - The detail message.

### Method Detail

#### getWorld

    public ClassWorld getWorld()

Deprecated.
Retrieve the world.

Returns:
  The world.